Skip to main content
`Ctrl`+`K`

# TimeFITS

class astropy.time.TimeFITS(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `TimeString`

  FITS format: “[±Y]YYYY-MM-DD[THH:MM:SS[.sss]]”.

  ISOT but can give signed five-digit year (mostly for negative years);

  The allowed subformats are:

  - ‘date_hms’: date + hours, mins, secs (and optional fractional secs)

  - ‘date’: date

  - ‘longdate_hms’: as ‘date_hms’, but with signed 5-digit year

  - ‘longdate’: as ‘date’, but with signed 5-digit year

  See Rots et al., 2015, A&A 574:A36 (arXiv:1409.7583).

  Attributes Summary

  `in_subfmt` |
  `jd1` |
  `jd2` |
  `name` |
  `out_subfmt` |
  `precision` |
  `scale` | Time scale.
  `subfmts` |
  `value` | Convert times to strings, using signed 5 digit if necessary.

  Methods Summary

  `fill_value`(subfmt) | Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.
  `format_string`(str_fmt, **kwargs) | Write time to a string using a given format.
  `get_jds_fast`(val1, val2) | Use fast C parser to parse time strings in val1 and get jd1, jd2.
  `get_jds_python`(val1, val2) | Parse the time strings contained in val1 and get jd1, jd2.
  `parse_string`(timestr, subfmts) | Read time and deprecated scale if present.
  `set_jds`(val1, val2) | Parse the time strings contained in val1 and set jd1, jd2.
  `str_kwargs`() | Generator that yields a dict of values corresponding to the calendar date and time for the internal JD values.
  `to_value`([parent, out_subfmt]) | Return time representation from internal jd1 and jd2 in specified `out_subfmt`.

  Attributes Documentation

  in_subfmt
  jd1
  jd2
  name = 'fits'
  out_subfmt
  precision
  scale

    Time scale.

  subfmts = (('date_hms', re.compile('(?P<year>\\d{4})-(?P<mon>\\d\\d)-(?P<mday>\\d\\d)T(?P<hour>\\d\\d):(?P<min>\\d\\d):(?P<sec>\\d\\d(\\.\\d*)?)(\\((?P<scale>\\w+)(\\((?P<realization>\\w+)\\))?\\))?$'), '{year:04d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}:{sec:02d}'), ('date', re.compile('(?P<year>\\d{4})-(?P<mon>\\d\\d)-(?P<mday>\\d\\d)(\\((?P<scale>\\w+)(\\((?P<realization>\\w+)\\))?\\))?$'), '{year:04d}-{mon:02d}-{day:02d}'), ('longdate_hms', re.compile('(?P<year>[+-]\\d{5})-(?P<mon>\\d\\d)-(?P<mday>\\d\\d)T(?P<hour>\\d\\d):(?P<min>\\d\\d):(?P<sec>\\d\\d(\\.\\d*)?)(\\((?P<scale>\\w+)(\\((?P<realization>\\w+)\\))?\\))?$'), '{year:+06d}-{mon:02d}-{day:02d}T{hour:02d}:{min:02d}:{sec:02d}'), ('longdate', re.compile('(?P<year>[+-]\\d{5})-(?P<mon>\\d\\d)-(?P<mday>\\d\\d)(\\((?P<scale>\\w+)(\\((?P<realization>\\w+)\\))?\\))?$'), '{year:+06d}-{mon:02d}-{day:02d}'))
  value

    Convert times to strings, using signed 5 digit if necessary.

  Methods Documentation

  classmethod fill_value(subfmt)

    Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.

    This is used as a fill value for masked arrays to ensure that any ERFA operations on the masked array will not fail due to the masked value.

  format_string(str_fmt, **kwargs)

    Write time to a string using a given format.

    By default, just interprets str_fmt as a format string, but subclasses can add to this.

  get_jds_fast(val1, val2)

    Use fast C parser to parse time strings in val1 and get jd1, jd2.

  get_jds_python(val1, val2)

    Parse the time strings contained in val1 and get jd1, jd2.

  parse_string(timestr, subfmts)

    Read time and deprecated scale if present.

  set_jds(val1, val2)

    Parse the time strings contained in val1 and set jd1, jd2.

  str_kwargs()

    Generator that yields a dict of values corresponding to the calendar date and time for the internal JD values.

  to_value(parent=None, out_subfmt=None)

    Return time representation from internal jd1 and jd2 in specified `out_subfmt`.

    This is the base method that ignores `parent` and uses the `value` property to compute the output. This is done by temporarily setting `self.out_subfmt` and calling `self.value`. This is required for legacy Format subclasses prior to astropy 4.0 New code should instead implement the value functionality in `to_value()` and then make the `value` property be a simple call to `self.to_value()`.

    Parameters:
      parent `object`

        Parent `Time` object associated with this `TimeFormat` object

      out_subfmt `python:str` or `python:None`

        Output subformt (use existing self.out_subfmt if `None`)

    Returns:
      value `numpy.array`, `numpy.ma.array`

        Array or masked array of formatted time representation values